Bug 1356567 - Changing port admin_state_up is not enforced when using Opendaylight Mechanism driver
Summary: Changing port admin_state_up is not enforced when using Opendaylight Mechanis...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: unspecified
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Josh Hershberg
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks: 1337087
TreeView+ depends on / blocked
 
Reported: 2016-07-14 11:57 UTC by Itzik Brown
Modified: 2017-01-15 09:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-15 09:36:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenDaylight Bug 4946 0 None None None 2016-07-14 11:57:30 UTC

Description Itzik Brown 2016-07-14 11:57:31 UTC
Description of problem:
When using Opendaylight Mechanism driver and setting the port's admin_state_up attribute to False there is still connectivity to the instance.

Version-Release number of selected component (if applicable):
python-networking-odl-1.0.1-1.el7ost.noarch
opendaylight-1.0.0-4.el7ost.noarch
openvswitch-2.4.0-2.el7_2.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Launch an instance and associate a floating IP to the instance 
2. Check connectivity 
3. Identify the port of the instance using neutron port-list --device_id=<instance id>
4. Set the port_admin_state_up to False by running 
   # neutron port-update <port id> --admin_state_up=False 
5. Verify there is still connectivity to the instance

Actual results:


Expected results:


Additional info:

Comment 2 Josh Hershberg 2016-11-01 12:55:58 UTC
Upstream: https://bugs.opendaylight.org/show_bug.cgi?id=6718

Comment 3 Nir Yechiel 2017-01-15 09:36:05 UTC
I suggest to close this BZ and just leave it upstream at this point. If we will have a customer complaining about this we will reopen and prioritize.


Note You need to log in before you can comment on or make changes to this bug.